Skip to main content
GET
/
prompts
/
{promptId}
/
evaluations
List evaluations
curl --request GET \
  --url https://api.adaline.ai/v2/prompts/{promptId}/evaluations \
  --header 'Authorization: Bearer <token>'
{
  "evaluations": [
    {
      "runId": "<string>",
      "evaluatorId": "<string>",
      "status": "queued",
      "progress": {
        "totalRows": 123,
        "completedRows": 123,
        "failedRows": 123,
        "percent": 50
      },
      "metrics": {
        "passRuns": 123,
        "failRuns": 123,
        "unknownRuns": 123,
        "totalCost": 123,
        "totalLatency": 123,
        "totalTokenCount": 123
      },
      "timeline": {
        "submittedAt": 17450965800000,
        "startedAt": 123,
        "finishedAt": 123
      },
      "datasetId": "<string>"
    }
  ],
  "pagination": {
    "limit": 123,
    "returned": 1,
    "hasMore": true,
    "nextCursor": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Workspace API key. Pass as Authorization: Bearer <key>.

Path Parameters

promptId
string
required

Unique identifier for an entity, between 20 and 80 characters.

Required string length: 20 - 80

Query Parameters

status
enum<string>

The current status of an evaluation run.

Available options:
queued,
running,
completed,
failed,
cancelled,
cancelling
evaluatorId
string

Unique identifier for an entity, between 20 and 80 characters.

Required string length: 20 - 80
datasetId
string

Unique identifier for an entity, between 20 and 80 characters.

Required string length: 20 - 80
sort
enum<string>

Sort order for list endpoints.

Available options:
createdAt:asc,
createdAt:desc
createdAfter
integer | null
Required range: x >= 0
createdBefore
integer | null
Required range: x >= 0
limit
integer
Required range: x <= 200
cursor
string
Minimum string length: 1

Response

Evaluations retrieved.

evaluations
Evaluation · object[]
required
pagination
Pagination · object
required

Pagination metadata for list endpoints with cursor-based navigation.